- # BWA
  cmd: "{bwa} mem -aM -t 5 {fasta} {root}{1-f1} {root}{1-f2}"
  pipe: True
  input: "{bwa_out_dir}{1-ID}.fq" # just here so output can be deduced
  output_suffix: ".sam"

- # Picard AddReadGroups
  cmd: "{java8} -Xmx8G -jar {picard_jar} AddOrReplaceReadGroups SO=coordinate VALIDATION_STRINGENCY=STRICT RGID={1-ID} RGPL={1-PL} RGLB={1-LB} RGSM={1-SM} RGPU={1-PU} I={input} O={output}"
  output: "{gatk_out_dir}{1-ID}-sorted.bam"

- &index # index
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"
  output: "{gatk_out_dir}{1-ID}-sorted.bai"

- # Mark Duplicates
  cmd: "{java8} -Xmx8G -jar {picard_jar} MarkDuplicates VALIDATION_STRINGENCY=STRICT M={gatk_out_dir}{1-ID}-dupmetric.txt I={input} O={output}"
  input: "{gatk_out_dir}{1-ID}-sorted.bam"
  output_suffix: "-GATK-marked.bam"

- # index
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"
  output: "{gatk_out_dir}{1-ID}-sorted-GATK-marked.bai"

- # GATK Create Targets
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T RealignerTargetCreator -known {indels} -R {fasta} -L {capture} -I {input} -o {output}"
  input: "{gatk_out_dir}{1-ID}-sorted-GATK-marked.bam"
  output: "{gatk_out_dir}{1-ID}.intervals"

- # GATK Realign indels
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T IndelRealigner --filter_bases_not_stored -R {fasta} --targetIntervals {gatk_out_dir}{1-ID}.intervals -known {indels} -I {input} -o {output}"
  output_suffix: "-realigned.bam"
  input: "{gatk_out_dir}{1-ID}-sorted-GATK-marked.bam"

- # index
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"  
  output: "{gatk_out_dir}{1-ID}-sorted-GATK-marked-realigned.bai"

- # GATK make table
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T BaseRecalibrator -R {fasta} -L {capture} -I {input} -knownSites {dbsnp} -knownSites {indels} -o {output}"
  input: "{gatk_out_dir}{1-ID}-sorted-GATK-marked-realigned.bam"
  output: "{gatk_out_dir}{1-ID}-recal-table.txt"

- # GATK recalibrate
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T PrintReads -R {fasta} --BQSR {gatk_out_dir}{1-ID}-recal-table.txt -I {input} -o {output}"
  output_suffix: "-recal.bam"
  input: "{gatk_out_dir}{1-ID}-sorted-GATK-marked-realigned.bam"

- # index
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"
  output: "{gatk_out_dir}{1-ID}-sorted-GATK-marked-realigned-recal.bai"  

- # GATK Depth of Coverage
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T DepthOfCoverage -R {fasta} -L {capture} -ct 4 -ct 6 -ct 10 -I {input} -o {output}"
  input: "{gatk_out_dir}{1-ID}-sorted-GATK-marked-realigned-recal.bam"
  output: "{metrics_out_dir}{1-ID}-DoC"

- # Picard metrics
  cmd: "{java8} -Xmx8G -jar {picard_jar} CollectAlignmentSummaryMetrics R={fasta} I={input} O={output}"
  input: "{gatk_out_dir}{1-ID}-sorted-GATK-marked-realigned-recal.bam"
  output: "{metrics_out_dir}{1-ID}-alignment-summary.txt"

# second file
- # BWA-2
  cmd: "{bwa} mem -aM -t 5 {fasta} {root}{2-f1} {root}{2-f2}"
  pipe: True
  input: "{bwa_out_dir}{2-ID}.fq" # just here so output can be deduced
  output_suffix: ".sam"

- # Picard AddReadGroups-2
  cmd: "{java8} -Xmx8G -jar {picard_jar} AddOrReplaceReadGroups SO=coordinate VALIDATION_STRINGENCY=STRICT RGID={2-ID} RGPL={2-PL} RGLB={2-LB} RGSM={2-SM} RGPU={2-PU} I={input} O={output}"
  output: "{gatk_out_dir}{2-ID}-sorted.bam"

- # index-2
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"
  output: "{gatk_out_dir}{2-ID}-sorted.bai"

- # Mark Duplicates-2
  cmd: "{java8} -Xmx8G -jar {picard_jar} MarkDuplicates VALIDATION_STRINGENCY=STRICT M={gatk_out_dir}{2-ID}-dupmetric.txt I={input} O={output}"
  output_suffix: "-GATK-marked.bam"
  input: "{gatk_out_dir}{2-ID}-sorted.bam"

- # index-2
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"
  output: "{gatk_out_dir}{2-ID}-sorted-GATK-marked.bai"

- # GATK Create Targets-2
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T RealignerTargetCreator -known {indels} -R {fasta} -L {capture} -I {input} -o {output}"
  input: "{gatk_out_dir}{2-ID}-sorted-GATK-marked.bam"
  output: "{gatk_out_dir}{2-ID}.intervals"

- # GATK Realign indels-2
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T IndelRealigner --filter_bases_not_stored -R {fasta} --targetIntervals {gatk_out_dir}{2-ID}.intervals -known {indels} -I {input} -o {output}"
  output_suffix: "-realigned.bam"
  input: "{gatk_out_dir}{2-ID}-sorted-GATK-marked.bam"

- # index-2
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"
  output: "{gatk_out_dir}{2-ID}-sorted-GATK-marked-realigned.bai"

- # GATK make table-2
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T BaseRecalibrator -R {fasta} -L {capture} -I {input} -knownSites {dbsnp} -knownSites {indels} -o {output}"
  input: "{gatk_out_dir}{2-ID}-sorted-GATK-marked-realigned.bam"
  output: "{gatk_out_dir}{2-ID}-recal-table.txt"

- # GATK recalibrate-2
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T PrintReads -R {fasta} --BQSR {gatk_out_dir}{2-ID}-recal-table.txt -I {input} -o {output}"
  output_suffix: "-recal.bam"
  input: "{gatk_out_dir}{2-ID}-sorted-GATK-marked-realigned.bam"

- # index-2
  cmd: "{java8} -Xmx8G -jar {picard_jar} BuildBamIndex VALIDATION_STRINGENCY=STRICT I={input}"
  output: "{gatk_out_dir}{2-ID}-sorted-GATK-marked-realigned-recal.bai"

- # GATK Depth of Coverage-2
  cmd: "{java8} -Xmx8G -jar {gatk_jar} -T DepthOfCoverage -R {fasta} -L {capture} -ct 4 -ct 6 -ct 10 -I {input} -o {output}"
  output: "{metrics_out_dir}{2-ID}-DoC"
  input: "{gatk_out_dir}{2-ID}-sorted-GATK-marked-realigned-recal.bam"

- # Picard metrics-2
  cmd: "{java8} -Xmx8G -jar {picard_jar} CollectAlignmentSummaryMetrics R={fasta} I={input} O={output}"
  input: "{gatk_out_dir}{2-ID}-sorted-GATK-marked-realigned-recal.bam"
  output: "{metrics_out_dir}{2-ID}-alignment-summary.txt"

- #mutect
  cmd: "{java8} -Xmx8g -jar {gatk_jar} -T MuTect2 -R {fasta} -I:tumor {gatk_out_dir}{1-ID}-sorted-GATK-marked-realigned-recal.bam -I:normal {gatk_out_dir}{2-ID}-sorted-GATK-marked-realigned-recal.bam --dbsnp {dbsnp} -L {capture} -o {output}"
  output: "{mutect_out_dir}{ID}-MuTect-{mutect_version}.vcf"
